Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api
Enum JavaVersion

    java.lang.Object
      java.lang.Enum<JavaVersion>
          org.gradle.api.JavaVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JavaVersion>

    public enum JavaVersion

extends java.lang.Enum<JavaVersion>

An enumeration of Java versions.

Enum Constant Summary
`VERSION_1_1`
`VERSION_1_2`
`VERSION_1_3`
`VERSION_1_4`
`VERSION_1_5`
`VERSION_1_6`

Method Summary
`java.lang.String` | `toString()`
`static JavaVersion` | `toVersion(java.lang.Object value)` Converts the given object into a `JavaVersion`.
`static JavaVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JavaVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERSION_1_1

    public static final JavaVersion VERSION_1_1

### VERSION_1_2

    public static final JavaVersion VERSION_1_2

### VERSION_1_3

    public static final JavaVersion VERSION_1_3

### VERSION_1_4

    public static final JavaVersion VERSION_1_4

### VERSION_1_5

    public static final JavaVersion VERSION_1_5

### VERSION_1_6

    public static final JavaVersion VERSION_1_6

Method Detail

### values

    public static JavaVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JavaVersion c : JavaVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JavaVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toVersion

    public static JavaVersion toVersion(java.lang.Object value)
                                 throws java.lang.IllegalArgumentException

  Converts the given object into a `JavaVersion`.

  Parameters:
    `value` - An object whose toString() value is to be converted. May be null.
  Returns:
    The version, or null if the provided value is null.
  Throws:
    `java.lang.IllegalArgumentException` - when the provided value cannot be converted.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<JavaVersion>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD